apiVersion: apps/v1
kind: Deployment
metadata:
  name: wikijs-role-sync
spec:
  replicas: 1
  selector:
    matchLabels:
      app: wikijs-role-sync
  template:
    metadata:
      labels:
        app: wikijs-role-sync
    spec:
      containers:
        - name: role-sync
          image: "{{ .Values.wikijsRoleSync.image.repository }}:{{ .Values.wikijsRoleSync.image.tag }}"
          env:
            - name: WIKIJS_URL
              value: "https://wiki.dvirlabs.com"
            - name: WIKIJS_TOKEN
              valueFrom:
                secretKeyRef:
                  name: wikijs-role-sync
                  key: token
          ports:
            - containerPort: 80
